## org.apache.lucene.queryParser.standard.config
Class FuzzyAttributeImpl

    java.lang.Object
      org.apache.lucene.util.AttributeImpl
          org.apache.lucene.queryParser.standard.config.FuzzyAttributeImpl

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, FuzzyAttribute, org.apache.lucene.util.Attribute

    public class FuzzyAttributeImpl

extends org.apache.lucene.util.AttributeImpl
implements FuzzyAttribute

This attribute is used by `PhraseSlopQueryNodeProcessor` processor and must be defined in the `QueryConfigHandler`. This attribute tells the processor what is the default phrase slop when no slop is defined in a phrase.

See Also:
  `FuzzyAttribute`, Serialized Form

Constructor Summary
`FuzzyAttributeImpl()`

Method Summary
`void` `clear()`
`void` `copyTo(org.apache.lucene.util.AttributeImpl target)`
`boolean` `equals(java.lang.Object other)`
`float` `getFuzzyMinSimilarity()`
`int` `getPrefixLength()`
`int` `hashCode()`
`void` `setFuzzyMinSimilarity(float minSimilarity)`
`void` `setPrefixLength(int prefixLength)`
`java.lang.String` `toString()`

Methods inherited from class org.apache.lucene.util.AttributeImpl
`clone`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FuzzyAttributeImpl

    public FuzzyAttributeImpl()

Method Detail

### setPrefixLength

    public void setPrefixLength(int prefixLength)

  Specified by:
    `setPrefixLength` in interface `FuzzyAttribute`

### getPrefixLength

    public int getPrefixLength()

  Specified by:
    `getPrefixLength` in interface `FuzzyAttribute`

### setFuzzyMinSimilarity

    public void setFuzzyMinSimilarity(float minSimilarity)

  Specified by:
    `setFuzzyMinSimilarity` in interface `FuzzyAttribute`

### getFuzzyMinSimilarity

    public float getFuzzyMinSimilarity()

  Specified by:
    `getFuzzyMinSimilarity` in interface `FuzzyAttribute`

### clear

    public void clear()

  Specified by:
    `clear` in class `org.apache.lucene.util.AttributeImpl`

### copyTo

    public void copyTo(org.apache.lucene.util.AttributeImpl target)

  Specified by:
    `copyTo` in class `org.apache.lucene.util.AttributeImpl`

### equals

    public boolean equals(java.lang.Object other)

  Specified by:
    `equals` in class `org.apache.lucene.util.AttributeImpl`

### hashCode

    public int hashCode()

  Specified by:
    `hashCode` in class `org.apache.lucene.util.AttributeImpl`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `org.apache.lucene.util.AttributeImpl`

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.